odoo.define('tht_project.cook_process', function (require) {
    "use strict";
    const AbstractAction = require('web.AbstractAction');
    const core = require('web.core');
    const QWeb = core.qweb;
    const session = require('web.session');
    const Dialog = require("web.Dialog");

    const CookProcessTemplate = AbstractAction.extend({
        template: 'CookProcessTemplate',

        start: async function () {
            await this._super(...arguments);

            let self = this;

            window.addEventListener("message", function (event) {

            });
        },
    });
    core.action_registry.add('tht_project.cook_process', CookProcessTemplate);

    return CookProcessTemplate;
});
